<?php

namespace Drupal\hubspot_api_webform\Drush\Commands;

use Drupal\Core\Site\Settings;
use Drush\Commands\DrushCommands;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;

/**
 * Hubspot commands.
 *
 * @package Drupal\hubspot_api_webform\Commands
 */
class HubspotCommands extends DrushCommands {

  /**
   * The state key/value store.
   *
   * @var \Drupal\Core\State\StateInterface
   */
  protected $state;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    $instance = new static();
    $instance->state = $container->get('state');
    return $instance;
  }

  /**
   * Set hubspot api access token.
   *
   * @param string $token
   *    The token.
   *
   * @command hsa:set-token
   */
  public function setHubspotApiSettingsAccessToken($token) {
    $this->state->set('hubspot_api_tokens', [
      'access_token' => $token,
    ]);
    $this->logger()->success('Done.');
  }

}
